Package org.eclipse.cdt.utils.coff.parser

# Class GNUPEBinaryArchive64

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.cdt.utils.BinaryFile
org.eclipse.cdt.utils.coff.parser.PEBinaryArchive64
org.eclipse.cdt.utils.coff.parser.GNUPEBinaryArchive64

All Implemented Interfaces:
  `IBinaryParser.IBinaryArchive`, `IBinaryParser.IBinaryFile`, `org.eclipse.core.runtime.IAdaptable`

public class GNUPEBinaryArchive64 extends PEBinaryArchive64

Since:
  8.2

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

## Constructor Summary

Constructors
Constructor
Description
`GNUPEBinaryArchive64(PEParser64 parser, org.eclipse.core.runtime.IPath path)`

## Method Summary

Modifier and Type
Method
Description
`protected IBinaryParser.IBinaryObject[]`
`createArchiveMembers(AR.ARHeader[] headers)`

### Methods inherited from class org.eclipse.cdt.utils.coff.parser.PEBinaryArchive64

`addArchiveMembers, getObjects`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getContents, getPath, getType, hasChanged`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

## Constructor Details

### GNUPEBinaryArchive64

public GNUPEBinaryArchive64(PEParser64 parser, org.eclipse.core.runtime.IPath path) throws IOException

Throws:
  `IOException`

## Method Details

### createArchiveMembers

protected IBinaryParser.IBinaryObject[] createArchiveMembers(AR.ARHeader[] headers)

Overrides:
  `createArchiveMembers` in class `PEBinaryArchive64`